# $Revision: 1.20 $, $Date: 2005/06/02 19:51:45 $
Summary:	gQueue is a GNOME2 frontend for Cups queues
Summary(pl):	gQueue jest nakadk na Cupsa dla GNOME2
Name:		gqueue
Version:	0.99.1
Release:	3
License:	GPL v2
Group:		X11/Applications
Source0:	http://web.tiscali.it/diegobazzanella/%{name}-%{version}.tar.bz2
# Source0-md5:	b5cf07a087986cd4cbb83ed26958d408
Source1:	%{name}.desktop
Patch0:		%{name}-locale.patch
Patch1:		%{name}-nolibs.patch
URL:		http://web.tiscali.it/diegobazzanella/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	cups-devel
BuildRequires:	gettext-devel
BuildRequires:	libgnomeui-devel >= 2.4.0.1
BuildRequires:	pkgconfig
BuildRequires:	rpm-build >= 4.1-13
Requires:	cups
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
gQueue is a GNOME2 frontend for lpq and lprm working with Cups queues.

%description -l pl
gQueue jest nakadk na lpq i lprm pracujc z kolejkami Cupsa.

%prep
%setup -q -n %{name}
%patch0 -p1
%patch1 -p1

mv po/{no,nb}.po

%build
rm -f missing mkinstalldirs depcomp install-sh missing COPYING INSTALL
cp -f /usr/share/gettext/mkinstalldirs .
%{__aclocal}
glib-gettextize --force --copy
%{__autoheader}
%{__automake}
%{__autoconf}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_desktopdir}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS
%attr(755,root,root) %{_bindir}/*
%{_pixmapsdir}/*
%{_desktopdir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gqueue.spec,v $
Revision 1.20  2005/06/02 19:51:45  qboosh
- added nolibs patch: remove unnecessary linking with -lnsl
- release 3

Revision 1.19  2005/06/02 19:47:14  qboosh
- removed indirectly used BRs (gtk+2-devel,libbonoboui-devel,popt-devel)

Revision 1.18  2005/06/01 19:23:49  zbyniu
- BR: popt-devel

Revision 1.17  2004/12/22 01:30:20  zbyniu
- BR: gettext-devel, pkgconfig

Revision 1.16  2004/11/12 18:59:49  paladine
- rel 2 for fixed desktop file

Revision 1.15  2004/02/26 15:46:06  grzegol
- mv po/{no,nb}.po here, not i patch

Revision 1.14  2004/02/24 23:03:57  krzak
- locale.patch - no -> nb

Revision 1.13  2004/02/24 22:55:29  krzak
- up to 0.99.1
- fixed building

Revision 1.12  2003/11/11 01:12:29  ankry
- caps unification

Revision 1.11  2003/09/15 22:42:42  aflinta
- version 0.9

Revision 1.10  2003/08/26 20:31:20  ankry
- s/[Gg]nome/GNOME/

Revision 1.9  2003/08/20 15:11:51  qboosh
- no // in paths, other cosmetics

Revision 1.8  2003/08/01 11:58:49  grzegol
- rel++ to rebuild without linc
- sorting/cosmetics

Revision 1.7  2003/05/26 16:25:08  malekith
- massive attack: adding Source-md5

Revision 1.6  2003/05/25 05:48:24  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.5  2003/03/22 21:50:24  aflinta
- updated to version 0.8

Revision 1.4  2003/03/15 22:19:19  grzegol
- updated to 0.7

Revision 1.3  2003/02/12 09:18:48  wiget
- updated to 0.6

Revision 1.2  2003/02/06 21:58:26  grzegol
- updated to 0.5

Revision 1.1  2003/02/01 00:10:50  grzegol
- new
